global
    log         127.0.0.1 local2

    chroot      /var/lib/haproxy
    pidfile     /var/run/haproxy.pid
    maxconn     5000
    user        haproxy
    group       haproxy
    daemon

    # turn on stats unix socket
    stats socket /var/lib/haproxy/stats

    ca-base /etc/ssl/certs
    crt-base /etc/ssl/private	

    ssl-default-bind-ciphers ECDH+AESGCM:DH+AESGCM:ECDH+AES256:DH+AES256:ECDH+AES128:DH+AES:RSA+AESGCM:RSA+AES:!aNULL:!MD5:!DSS
    ssl-default-bind-options no-sslv3

defaults
    mode                    http
    log                     global
    option                  httplog
    option                  dontlognull
    timeout connect         10s
    timeout client          10m
    timeout server          10m
    maxconn                 5000

frontend http-frontend
    mode tcp
    option tcplog
    bind :::80 v4v6
    default_backend http-backend
 
frontend https-frontend
    mode tcp
    option tcplog
    bind :::443 v4v6
    default_backend https-backend
 
backend http-backend
  mode tcp
  balance roundrobin
  option tcp-check
  #option log-health-checks
  # health checks every 2s, 2 fails => DOWN, 3 success => UP
  default-server inter 2s fall 2 rise 3
{% for key, value in haproxy_sc_workers.items() %}
  server {{ key }} {{ value }}:80 check on-marked-down shutdown-sessions send-proxy
{% endfor %}

backend https-backend
  mode tcp
  balance roundrobin
  option tcp-check
  #option log-health-checks
  # health checks every 2s, 2 fails => DOWN, 3 success => UP
  default-server inter 2s fall 2 rise 3
{% for key, value in haproxy_sc_workers.items() %}
  server {{ key }} {{ value }}:443 check on-marked-down shutdown-sessions send-proxy
{% endfor %}
